| Version: 3.2.5

Classes | Functions | Variables
colour.h File Reference

## Classes

class | wxColour
| A colour is an object representing a combination of Red, Green, and Blue (RGB) intensity values and an Alpha value, and is used to determine drawing colours. More...

## Enumerations

enum | { wxC2S_NAME = 1 , wxC2S_CSS_SYNTAX = 2 , wxC2S_HTML_SYNTAX = 4 }
| Flags for wxColour -> wxString conversion (see wxColour::GetAsString). More...

## Functions

bool | wxFromString (const wxString &string, wxColour *colour)
| Converts string to a wxColour best represented by the given string. More...
wxString | wxToString (const wxColour &colour)
| Converts the given wxColour into a string. More...

## Variables

const unsigned char | wxALPHA_TRANSPARENT = 0
const unsigned char | wxALPHA_OPAQUE = 0xff
Predefined colors.
wxColour | wxNullColour
wxColour | wxTransparentColour
wxColour * | wxBLACK
wxColour * | wxBLUE
wxColour * | wxCYAN
wxColour * | wxGREEN
wxColour * | wxYELLOW
wxColour * | wxLIGHT_GREY
wxColour * | wxRED
wxColour * | wxWHITE

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Flags for wxColour -> wxString conversion (see wxColour::GetAsString).

Enumerator
wxC2S_NAME |
wxC2S_CSS_SYNTAX |
wxC2S_HTML_SYNTAX |

## Variable Documentation

## ◆ wxALPHA_OPAQUE

const unsigned char wxALPHA_OPAQUE = 0xff

## ◆ wxALPHA_TRANSPARENT

const unsigned char wxALPHA_TRANSPARENT = 0

## ◆ wxBLACK

wxColour* wxBLACK

## ◆ wxBLUE

wxColour* wxBLUE

## ◆ wxCYAN

wxColour* wxCYAN

## ◆ wxGREEN

wxColour* wxGREEN

## ◆ wxLIGHT_GREY

wxColour* wxLIGHT_GREY

## ◆ wxNullColour

wxColour wxNullColour

## ◆ wxRED

wxColour* wxRED

## ◆ wxTransparentColour

wxColour wxTransparentColour

## ◆ wxWHITE

wxColour* wxWHITE

## ◆ wxYELLOW

wxColour* wxYELLOW